package com.sun.org.apache.xerces.internal.xni.parser;

import java.util.Locale;
import com.sun.org.apache.xerces.internal.xni.XMLDTDContentModelHandler;
import com.sun.org.apache.xerces.internal.xni.XMLDTDHandler;
import com.sun.org.apache.xerces.internal.xni.XMLDocumentHandler;
import java.io.IOException;
import com.sun.org.apache.xerces.internal.xni.XNIException;

public interface XMLParserConfiguration extends XMLComponentManager
{
    public abstract void parse(XMLInputSource p0) throws XNIException, IOException;
    
    public abstract void addRecognizedFeatures(String[] p0);
    
    public abstract void setFeature(String p0, boolean p1) throws XMLConfigurationException;
    
    public abstract boolean getFeature(String p0) throws XMLConfigurationException;
    
    public abstract void addRecognizedProperties(String[] p0);
    
    public abstract void setProperty(String p0, Object p1) throws XMLConfigurationException;
    
    public abstract Object getProperty(String p0) throws XMLConfigurationException;
    
    public abstract void setErrorHandler(XMLErrorHandler p0);
    
    public abstract XMLErrorHandler getErrorHandler();
    
    public abstract void setDocumentHandler(XMLDocumentHandler p0);
    
    public abstract XMLDocumentHandler getDocumentHandler();
    
    public abstract void setDTDHandler(XMLDTDHandler p0);
    
    public abstract XMLDTDHandler getDTDHandler();
    
    public abstract void setDTDContentModelHandler(XMLDTDContentModelHandler p0);
    
    public abstract XMLDTDContentModelHandler getDTDContentModelHandler();
    
    public abstract void setEntityResolver(XMLEntityResolver p0);
    
    public abstract XMLEntityResolver getEntityResolver();
    
    public abstract void setLocale(Locale p0) throws XNIException;
    
    public abstract Locale getLocale();
}
